Skip to main content
GET
/
v2
/
accounts
/
{accountId}
/
network-capabilities
Get network capabilities for account
curl --request GET \
  --url https://api.cdp.coinbase.com/platform/v2/accounts/{accountId}/network-capabilities \
  --header 'Authorization: Bearer <token>'
{
  "accountId": "account_af2937b0-9846-4fe7-bfe9-ccc22d935114",
  "depositDestinations": {
    "networks": [
      {
        "network": "base",
        "assets": [
          "usdc",
          "eth"
        ]
      },
      {
        "network": "solana",
        "assets": [
          "usdc"
        ]
      }
    ],
    "liquidationSupported": true
  }
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Path Parameters

accountId
string
required

The ID of the account for which to return network capabilities. The ID of the Account, which is a UUID prefixed by the string account_.

Pattern: ^account_[a-f0-9\-]{36}$
Example:

"account_af2937b0-9846-4fe7-bfe9-ccc22d935114"

Response

Successfully retrieved network capabilities.

The supported blockchain networks and asset capabilities for an account, grouped by CDP resource.

accountId
string
required

The ID of the Account, which is a UUID prefixed by the string account_.

Pattern: ^account_[a-f0-9\-]{36}$
Example:

"account_af2937b0-9846-4fe7-bfe9-ccc22d935114"

depositDestinations
object
required

The supported networks, assets, and liquidation capability for creating deposit destinations.

Example:
{
"networks": [
{
"network": "base",
"assets": ["usdc", "usdt"]
},
{ "network": "solana", "assets": ["usdc"] }
],
"liquidationSupported": true
}